Package com.independentsoft.graph

# Class SingleValueExtendedProperty

java.lang.Object
com.independentsoft.graph.ExtendedProperty
com.independentsoft.graph.SingleValueExtendedProperty

public class SingleValueExtendedProperty extends ExtendedProperty

- ## Field Summary

  ### Fields inherited from class com.independentsoft.graph.ExtendedProperty

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SingleValueExtendedProperty()`
  `SingleValueExtendedProperty​(ExtendedPropertyId id, boolean value)`
  `SingleValueExtendedProperty​(ExtendedPropertyId id, double value)`
  `SingleValueExtendedProperty​(ExtendedPropertyId id, long value)`
  `SingleValueExtendedProperty​(ExtendedPropertyId id, String value)`
  `SingleValueExtendedProperty​(ExtendedPropertyId id, Date value)`
  `SingleValueExtendedProperty​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `void`
  `setValue​(String value)`
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.graph.ExtendedProperty

  `getId, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SingleValueExtendedProperty

    public SingleValueExtendedProperty()

  - ### SingleValueExtendedProperty

    public SingleValueExtendedProperty​(ExtendedPropertyId id, String value)

  - ### SingleValueExtendedProperty

    public SingleValueExtendedProperty​(ExtendedPropertyId id, long value)

  - ### SingleValueExtendedProperty

    public SingleValueExtendedProperty​(ExtendedPropertyId id, double value)

  - ### SingleValueExtendedProperty

    public SingleValueExtendedProperty​(ExtendedPropertyId id, boolean value)

  - ### SingleValueExtendedProperty

    public SingleValueExtendedProperty​(ExtendedPropertyId id, Date value)

  - ### SingleValueExtendedProperty

    public SingleValueExtendedProperty​(JsonObject jsonObject)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue​(String value)